#include <SPI.h>
#include <ILI9340.h>

const int cs = 4;
const int dc = 23;
//const int mosi = ;
//const int sck = ;
const int rst = 22;
//const int miso = ;

ILI9340 ili(cs, dc, rst);


uint32_t startTime;

void setup() {
  Serial.begin(115200);
  ili.begin();
  // put your setup code here, to run once:
  startTime = micros();
}

///////////////////////////////////////////////////////////////////////////////////////////////////

//uint16_t col = 0b1111100000000000;
uint16_t col = 0b11111;

void flash()
{
  // put your main code here, to run repeatedly:
  ili.fillScreen(col);
  col = ~col;
}

int count=0;

void loop() 
{
//  flash();
  if (count&1)
  {
    ili.bresenhamLine(10,10,100,110,0b1111100000000000);
  }
  else
  {
    ili.bresenhamLine(10,10,100,110,0b1111111111111111);
  }
  if (count == 100)
  {
    Serial.println((micros()-startTime)/count);
    while(1);
  }
  count++;
}

